# Created by pyp2rpm-3.3.6
%global pypi_name awscrt

%define 	bootstrap 1

Name:           python-%{pypi_name}
Version:        0.27.4
Release:        %mkrel 1
Summary:        A common runtime for AWS Python projects
Group:          Development/Python
License:        Apache-2.0 AND MIT AND BSD-3-Clause
URL:            https://github.com/awslabs/aws-crt-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# one test requires internet connection, skip it
Patch0:         0001-awscrt-disable-network-tests.patch
Patch1:         0001-awscrt-fix-linking.patch
# disable SHA1 in tests
Patch2:         skip-SHA1-in-test_crypto.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(libunwind-generic)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(openssl)
%if !%bootstrap
BuildRequires:  python3dist(boto3)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(websockets)
BuildRequires:  pyproject-rpm-macros

%description
AWS CRT Python 3 bindings for the AWS Common Runtime.API

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
AWS CRT Python 3 bindings for the AWS Common Runtime.API

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

# Don't fail on warnings
# sed -i -e 's/-Werror/-Wno-error/g' setup.py $(find . -name "CMakeLists.txt")

%build
# ifarch %%{ix86}
# # disable SSE2 instructions to prevent a crash in aws-c-common thread handling
# # probably caused by a compiler bug
# export CFLAGS="%%{optflags} -mno-sse2"
# endif
export AWS_CRT_BUILD_USE_SYSTEM_LIBCRYPTO=1

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _awscrt awscrt

%check
PYTHONPATH="%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}" %{python3} -m unittest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Jul 15 2025 papoteur <papoteur> 0.27.4-1.mga10
+ Revision: 2255726
- new version 0.27.4
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.22.4-2.mga10
+ Revision: 2156482
- rebuild for python3.13

* Sun Dec 15 2024 papoteur <papoteur> 0.22.4-1.mga10
+ Revision: 2125378
- new version 0.22.4

* Thu Jun 27 2024 papoteur <papoteur> 0.20.12-1.mga10
+ Revision: 2077222
- new version 0.20.12

* Tue Dec 26 2023 papoteur <papoteur> 0.20.0-1.mga10
+ Revision: 2021834
- new version 0.20.0
- rebuild for python 3.12

* Tue Jun 20 2023 daviddavid <daviddavid> 0.16.21-1.mga9
+ Revision: 1962688
- new version: 0.16.21
- switch to pyproject

* Mon Aug 15 2022 neoclust <neoclust> 0.11.25-4.mga9
+ Revision: 1877709
- Build w/o boto support to bootstrap
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Aug 14 2021 wally <wally> 0.11.25-2.mga9
+ Revision: 1741329
- fix linking on armv7hl

* Sat Aug 14 2021 wally <wally> 0.11.25-1.mga9
+ Revision: 1741322
- drop unneeded libcrypto BR
- imported package python-awscrt

